﻿<!doctype html> 

<?php
 include 'tagesTemperaturreiheStundenwerte.php';
?>
<html lang="de">
<head>  
<meta charset="utf-8" />  
<title>Ratingen Wetter</title>  

<link rel="stylesheet" href="http://code.jquery.com/ui/1.10.0/themes/base/jquery-ui.css" />  
<script src="http://code.jquery.com/jquery-1.8.3.js"></script>  
<script src="http://code.jquery.com/ui/1.10.0/jquery-ui.js"></script>
<!-- jQuery Yahoo weather plugin: http://monkeecreate.github.com/jquery.simpleWeather/ -->
<script src="js/jquery.simpleWeather.js"></script>


<link rel="stylesheet" href="css/style.css" />
<script>  $(function() {    $( "#tabs" ).tabs();  });  </script>

<script>
$(function () {
    var chart;
    $(document).ready(function() {
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'chart_tag',
                type: 'line',
                marginRight: 130,
                marginBottom: 25
            },
            title: {
                text: 'Tagestemperaturverlauf',
                x: -20 //center
            },
 
            xAxis: {
				title: {
                    text: 'Uhrzeit'
                },
                categories: ['1', '2', '3', '4', '5', '6',
                    '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18',
                    '19', '20', '21', '22', '23', '24']
            },
            yAxis: {
                title: {
                    text: 'Temperatur ( °C )'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            tooltip: {
                formatter: function() {
                        return '<b>'+ this.series.name +'</b><br/>'+
                        this.x +': '+ this.y +'°C';
                }
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 100,
                borderWidth: 0
            },
            series: [{
                name: 'Ratingen',
                data: [<?php tagesTemperaturreiheStundenwerte(); ?>]
            }]
        });
    });
    
});
</script>

</head>
<body> 
<!-- Highstock -->
<script src="http://code.highcharts.com/stock/highstock.js"></script>
<script src="http://code.highcharts.com/stock/modules/exporting.js"></script>
<!-- Highcharts -->
<script src="http://code.highcharts.com/highcharts.js"></script>

<script>
$.simpleWeather({
        zipcode: '',
		woeid:'687013',
        unit: 'c',
		location: '',
        success: function(weather) {
                <!-- html = '<h2>'+weather.city+'</h2>'; -->

				html = '<div class="float_left">';
				html += '<p><img src="'+weather.image+'"></p>';
				html += '</div>';
				
				html += '<div class="float_left">';
				html += '<p><strong>Aktuelle Temperatur</strong>: '+weather.temp+'&deg; '+weather.units.temp+'</p>';
                html += '<p><strong>H</strong>: '+weather.high+'&deg; '+weather.units.temp+' - <strong>T</strong>: '+weather.low+'&deg; '+weather.units.temp+'</p>';
                html += '<p><strong>Wind</strong>: '+weather.wind.direction+' '+weather.wind.speed+' '+weather.units.speed+' <strong>Wind Chill</strong>: '+weather.wind.chill+'</p>';
                html += '<p><strong>Aktuelle Wetterlage</strong>: '+weather.currently+' - <strong>Vorhersage</strong>: '+weather.forecast+'</p>';
                html += '<p><strong>Feuchtigkeit</strong>: '+weather.humidity+'</p>'; 
				html += '<p><strong>Luftdruck</strong>: '+weather.pressure+'</p>';;
                html += '<p><strong>Sonnenaufgang</strong>: '+weather.sunrise+' - <strong>Sonnenuntergang</strong>: '+weather.sunset+'</p>';
				html += '<p><strong>Letztes Update</strong>: '+weather.updated+'</p>';
		
				html += '</div>';

				html += '<div class="clear"></div>';

				html_vorhersage  = '<div class="float_left">';
				html_vorhersage  += '<p><img src="'+weather.tomorrow.image+'"></p>';
				html_vorhersage  += '</div>';
				html_vorhersage  += '<div class="float_left">';
				html_vorhersage  += '<p><strong>Temperatur H</strong>: '+weather.tomorrow.high+'  <strong>L</strong>: '+weather.tomorrow.low+'</p>';
				html_vorhersage  += '<p><strong>Vorhersage</strong>: '+ weather.tomorrow.forecast + '</p>';
				html_vorhersage  += '</div>';
			    html_vorhersage  += '<div class="clear"></div>';

                $("#tab_wetterlage_content").html(html);
				$("#tab_vorhersage_content").html(html_vorhersage);
				
        },
        error: function(error) {
                $("#tab_wetterlage_content").html("<p>"+error+"</p>");
        }
});
</script>

<h1>Ratingen Wetter</h1>

<div id="tabs">  
<ul>    
	<li>
		<a href="#tab_wetterlage">Wetterlage</a>
	</li>    
	<li>
		<a href="#tab_vorhersage">Vorhersage</a>
	</li>    
	<li>
		<a href="#tab_charts">Charts</a>
	</li>    
</ul>  

<div id="tab_wetterlage"> 
	<div id="tab_wetterlage_content"></div>
</div>

<div id="tab_vorhersage"> 
	<div id="tab_vorhersage_content"></div>
</div>

<div id="tab_charts"> 
	<div id="chart_tag" style="height: 450px; min-width: 600px"></div>
	<br/>
	<!-- <div id="chart_historisch" style="height: 500px; min-width: 600px"></div> -->
</div>


</body>
</html>